//import library
import ddf.minim.spi.*;
import ddf.minim.signals.*;
import ddf.minim.*;
import ddf.minim.analysis.*;
import ddf.minim.ugens.*;
import ddf.minim.effects.*;

//initialize variables
Minim minim;
AudioPlayer player;
boolean _dance;

float x = 250;
float y = 250;

void setup()
{
  minim = new Minim(this);
  player = minim.loadFile("01 nuit blanche.mp3");
  //player.play();
  _dance=false;

  size(600, 400);
}

void draw()
{
  background(0);
  stroke(random(225), random(225), random(225));
  strokeWeight(3);

  // draw random ellipses
  //fill( random(255), random(0),random(0));
  // ellipse( mouseX, mouseY, 275, 275 );

  if (_dance==true)
  {

    for (int i = 0; i< player.bufferSize () - 1; i++)
    {
      //line(i, 50 + player.left.get(i)*100, i+1, 50 + player.left.get(i+1)*50);
      line(i, 200 + player.right.get(i)*100, i+1, 200 + player.right.get(i+1)*50);
     
    }


    fill( random(255), random(0), random(150, 255) );
    ellipse( mouseX + random(300), mouseY + random(100), random(30, 80), random(30, 80) );
    fill( random(255), random(0), random(150, 255) );
    ellipse( mouseX - random(300), mouseY - random(100), random(30, 80), random(30, 80) );
    fill( random(255), random(0), random(255) );
    ellipse( mouseX + random(500), mouseY - random(300), random(20, 60), random(20, 60) );
    fill( random(255), random(0), random(255) );
    ellipse( mouseX - random(500), mouseY + random(300), random(20, 60), random(20, 60) );
  }
}


void keyPressed() { 


  if (key == 'a') 
  {
    player.play();
    _dance=true;
  } 

  if (key == 'b') 
  {
    player.pause();
    _dance=false;
  }
}

